##
##  wipe.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2010 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         wipe
Summary:      Secure File Deletion Utility
URL:          http://lambda-diode.com/software/wipe
Vendor:       Berke Durak
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      GPL
Version:      0.22
Release:      20101219

#   list of sources
Source0:      http://lambda-diode.com/resources/wipe/wipe-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, gcc
PreReq:       OpenPKG, openpkg >= 20100101

%description
    Wipe is a little command for securely erasing files from magnetic
    media by following the approach described in the article "Secure
    Deletion of Data from Magnetic and Solid-State Memory" by Peter
    Gutmann.

%track
    prog wipe = {
        version   = %{version}
        url       = http://lambda-diode.com/software/wipe
        regex     = wipe-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    chmod a+x trtur

%build
    platform="generic"
    case "%{l_platform -t}" in
        *-aix*       ) platform="aix"        ;;
        *-linux*     ) platform="linux"      ;;
        *-freebsd*   ) platform="freebsd"    ;;
        ix86-sunos*  ) platform="solarisx86" ;;
        amd64-sunos* ) platform="solarisx86" ;;
        sun4u-sunos* ) platform="solarissp"  ;;
    esac
    %{l_make} %{l_mflags -O} $platform

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        wipe $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        wipe.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

